;;; --------------------------------------------------------------------
;;; CLAIM -- An implementation of the AIM TOC protocol in Lisp.
;;;
;;; Copyright 2001, 2002, 2004 I/NET Inc. (http://www.inetmi.com/)
;;; John Wiseman (jjwiseman@yahoo.com)
;;; 2004-10-29
;;;
;;; Licensed under the MIT license--see the accompanying LICENSE.txt
;;; file.
;;;
;;; Package definition.

(cl:defpackage #:com.lemonodor.claim
  (:use :common-lisp)
  (:export 
   #:aim-connection
   #:open-aim-connection
   #:close-aim-connection

   #:aim-connection-username
   #:aim-connection-last-error
   
   #:receive-event
   #:handle-event
   #:receive-events

   #:do-send-im
   #:do-add-buddies
   #:do-remove-buddies
   #:do-add-permits
   #:do-add-denies
   #:do-warn
   #:do-set-config
   #:do-set-idle-time
   #:do-set-away-message
   #:do-get-info
   #:do-set-info
   #:do-chat-invite
   #:do-chat-accept
   #:do-chat-leave
   #:do-chat-whisper
   #:do-chat-send
   #:do-chat-join
   #:do-get-dir
   #:do-set-dir
   #:do-dir-search

   #:handle-im-in
   #:handle-update-buddy
   #:handle-warned
   #:handle-chat-join
   #:handle-chat-in
   #:handle-chat-update-buddy
   #:handle-chat-invite
   #:handle-chat-left
   #:handle-goto-url
   #:handle-pause

   #:*default-toc-host*
   #:*default-toc-port*
   #:*default-login-host*
   #:*default-language*
   #:*default-agent*
   
   #:disconnect-error))
